artdaq Utilities - Bug #15357

It might be helpful for daginterface to use separate run_record_attempted directories per user
01/28/2017 03:43 PM - Kurt Biery

Status: Resolved Start date: 01/28/2017
Priority: Normal Due date:

Assignee: % Done: 100%
Category: artdag-dagqinterface Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Experiment: - Co-Assignees:

Description

or create the directory in /tmp with world write permissions.

Sat Jan 28 22:40:51 CET 2017: CONFIG transition underway

Sat Jan 28 22:40:51 CET 2017: Config name: demo_safemode

Sat Jan 28 22:40:51 CET 2017: Selected DAQ comps: {'component01": ['localhost’, '6305'}

Exception in thread threadable:

Traceback (most recent call last):

File "/home/pduser/dagsw/products/python/v2_7_11/Linux64bit+3.10-2.17/lib/python2.7/threading.py", line 801, in bootstrap_inner
self.run()

File "/home/pduser/dagsw/products/python/v2_7_11/Linux64bit+3.10-2.17/lib/python2.7/threading.py”, line 754, in run
self.__target(*self__args, **self__kwargs)

File "/home/pduser/dagsw/lbneArtdaq/artdaq-utilities-daqinterface/rc/threading/__init.py", line 15, in main

self.func()

File "rc/control/daginterface.py”, line 1797, in runner

self.do_config()

File "rc/control/daginterface.py", line 1576, in do_config

shutil.rmtree("/tmp/run_record_attempted")

File "/home/pduser/daqgsw/products/python/v2_7_11/Linux64bit+3.10-2.17/lib/python2.7/shutil.py", line 252, in rmtree
onerror(os.remove, fullname, sys.exc_info())

File "/home/pduser/dagsw/products/python/v2_7_11/Linux64bit+3.10-2.17/lib/python2.7/shutil.py", line 250, in rmtree
os.remove(fullname)

OSError: [Errno 13] Permission denied: '/tmp/run_record_attempted/metadata.txt’

History

#1 - 01/30/2017 01:16 PM - John Freeman
- Status changed from New to Resolved

- % Done changed from 0 to 100

With commit f71a23a23cfce7f6fa363d010e96285edbaa5e01, each user gets their own directory of the form
"/tmp/run_record_attempted_<username>", where username is actually the value stored in the $USER environment variable.

#2 - 02/10/2017 01:05 PM - Eric Flumerfelt

- Category set to artdaq-daqinterface
